Get account contact information
Requires accounts:read. Returns the primary business owner's name,
email, and phone, with the business address or owner's address. Deposit
and charge accounts use the company's primary owner. Returns 404 if
holders, emails, addresses, or telephones cannot be supplied.
Path Parameters
- Type: stringFormat: uuidaccount
Id requiredAccount identifier returned by List accounts.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/accounts/{accountId}/contact
curl https://api.dev.trusspayments.com/fdx/v6/accounts/1dd3a4b0-4837-4e24-b83d-4f3a834d9320/contact \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"addresses": [
{
"city": "San Francisco",
"country": "US",
"line1": "123 Example Street",
"postalCode": "94103",
"region": "CA"
}
],
"emails": [
"avery@example.com"
],
"holders": [
{
"name": {
"first": "Avery",
"last": "Example"
},
"relationship": "PRIMARY"
}
],
"telephones": [
{
"number": "+14155550100",
"type": "BUSINESS"
}
]
}
